php_flow.d(1m)

NAME
php_flow.d - snoop PHP execution showing function flow.

SYNOPSIS
php_flow.d

DESCRIPTION
This traces PHP activity from all PHP programs on the system running with PHP provider support. This watches PHP function entries and returns, and indents child function calls.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_flow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

FUNC
    Function name

LEGEND

->  function entry

<-  function return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_flow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)